<?php
/**
 * @package	PentryForms
 * @copyright	Copyright (C) 2021 PentryForms.com. All rights reserved.
 * @GNU General Public License
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');


JToolBarHelper::title( JText::_( 'PentryForms Settings' ), 'generic.png' );
JToolBarHelper::apply('pentryforms.save', 'JTOOLBAR_APPLY');

$settings_file = dirname(__FILE__).'/pentryforms.json';

$task = trim(JFactory::getApplication()->input->get('task', '', 'string'));
if ($task == 'pentryforms.save')
{
    $params = array();
    $params['account_email'] = trim(JFactory::getApplication()->input->get('account_email', '', 'string'));
    $params['account_password'] = trim(JFactory::getApplication()->input->get('account_password', '', 'string'));
    $params['js_code'] = trim(JFactory::getApplication()->input->get('js_code', '', 'raw'));
    
    $fp = fopen($settings_file, 'w');
    fwrite($fp, json_encode($params));
    fclose($fp);
}

// Reading settings
if (file_exists($settings_file))
{
    $fp = fopen($settings_file, "r");
    $params = (array)json_decode(fread($fp, filesize($settings_file)), true);
    fclose($fp);
}

// Security check
$htaccess_file = dirname(__FILE__).'/.htaccess';
if (!file_exists($htaccess_file))
{
    $fp = fopen($htaccess_file, 'w');
    fwrite($fp, 'deny from all');
    fclose($fp);
}

$params['account_email'] = isset($params['account_email']) ? trim($params['account_email']) : '';
$params['account_password'] = isset($params['account_password']) ? trim($params['account_password']) : '';
$params['js_code'] = isset($params['js_code']) ? trim($params['js_code']) : '';

if ($params['account_email'] != '' && $params['account_password'] != '')
{
    ?>
    <p>To see statistics and submissions you need to login into your account.</p>
    <form action="https://dashboard.pentryforms.com/index.php" method="post">
    <input type="hidden" name="user[email]" value="<?php echo $params['account_email']; ?>">
    <input type="hidden" name="user[password]" value="<?php echo $params['account_password']; ?>">
    
    <input type="hidden" name="option" value="com_fsaas">
    <input type="hidden" name="task" id="task" value="UserLogin_login">
    
    <input type="submit" class="btn btn-large button-new btn-success" value="PentryForms Login">
    </form>
    
    <?php
}
?>


<form action="index.php" method="post" name="adminForm" id="adminForm">

  <fieldset class="adminform">
      <legend>Account Details</legend>
      <p>To create your own account, please use this link <a href="https://dashboard.pentryforms.com/" target="_blank">https://dashboard.pentryforms.com/</a></p>
      <table class="adminform table table-striped">
        <tbody>
        <tr>
            <td width="200">Account Email</td>
            <td>
                <input class="inputbox" type="text" name="account_email" id="account_email" value="<?php echo $params['account_email']; ?>">
            </td>
        </tr>
        <tr class="row1">
            <td width="200">Account Password</td>
            <td>
                <input class="inputbox" type="password" name="account_password" id="account_password" value="<?php echo $params['account_password']; ?>">
            </td>
        </tr>
      </tbody>
      </table>
  </fieldset>
  
  
  	
  <fieldset class="adminform">
      <legend>JavaScript settings</legend>
      <table class="adminform table table-striped">
        <tbody>
        <tr>
            <td width="200">JavaScript code</td>
            <td>
                <textarea class="inputbox" style="min-width:350px;max-width:600px;width:100%;height:200px;" name="js_code" id="js_code"><?php echo $params['js_code']; ?></textarea>
            </td>
        </tr>
      </tbody>
      </table>
  </fieldset>
  
  

<input type="hidden" name="option" value="com_pentryforms">
<input type="hidden" name="task" value="">
</form>

